Bug 1120704 - [Fedora] Don't receive email for FAS login on https://localized-zanatatest.itos.redhat.com/
Summary: [Fedora] Don't receive email for FAS login on https://localized-zanatatest.it...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Zanata
Classification: Retired
Component: Authentication-Fedora
Version: 3.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 14:00 UTC by Marcelo Barbosa "firemanxbr"
Modified: 2014-08-06 07:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 01:52:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1120016 None None None Never

Internal Links: 1120016

Description Marcelo Barbosa "firemanxbr" 2014-07-17 14:00:48 UTC
Description of problem:
I don't received email confirmation for my FAS login.

Version-Release number of selected component (if applicable):
Zanata Zanata 3.4.3-SNAPSHOT (git-server-3.4.2-1-gc64b08a-dirty) running on https://localized-zanatatest.itos.redhat.com/

How reproducible:
entry your FAS login and fill with your datas, in my case:

Name: Marcelo Barbosa 
User: firemanxbr 
email: firemanxbr@fedoraproject.org

Actual results:
Don't access in Zanata after signup and don't receive email confirmation.

Expected results:
I believe receive email confirmation and be possible login in Zanata

Comment 1 Marcelo Barbosa "firemanxbr" 2014-07-17 14:59:26 UTC
After 1 hour I receive email confirmation, I believe we need investigate this delay.

firemanxbr

Comment 2 Marcelo Barbosa "firemanxbr" 2014-07-17 15:02:46 UTC
But after receive email confirmation, and try login don't successful, I receive blank page with this URL:

https://localized-zanatatest.itos.redhat.com/openid.seam?openid.assoc_handle=%7BHMAC-SHA256%7D%7B53c7e4dd%7D%7BSunXQg%3D%3D%7D&openid.ax.count.email=1&openid.ax.mode=fetch_response&openid.ax.type.email=http%3A%2F%2Fschema.openid.net%2Fcontact%2Femail&openid.ax.value.email.1=firemanxbr%40fedoraproject.org&openid.claimed_id=http%3A%2F%2Ffiremanxbr.id.fedoraproject.org%2F&openid.identity=http%3A%2F%2Ffiremanxbr.id.fedoraproject.org%2F&openid.mode=id_res&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.ns.ax=http%3A%2F%2Fopenid.net%2Fsrv%2Fax%2F1.0&openid.ns.pape=http%3A%2F%2Fspecs.openid.net%2Fextensions%2Fpape%2F1.0&openid.ns.sreg=http%3A%2F%2Fopenid.net%2Fextensions%2Fsreg%2F1.1&openid.op_endpoint=https%3A%2F%2Fid.fedoraproject.org%2Fopenid%2F&openid.pape.auth_level.nist=2&openid.pape.auth_level.ns.nist=http%3A%2F%2Fcsrc.nist.gov%2Fpublications%2Fnistpubs%2F800-63%2FSP800-63V1_0_2.pdf&openid.pape.auth_policies=http%3A%2F%2Fschemas.openid.net%2Fpape%2Fpolicies%2F2007%2F06%2Fnone&openid.pape.auth_time=2014-07-17T14%3A59%3A46Z&openid.response_nonce=2014-07-17T14%3A59%3A47Zuq3Evv&openid.return_to=http%3A%2F%2Flocalized-zanatatest.itos.redhat.com%3A80%2Fopenid.seam&openid.sig=kH38XmUA7v0YdgpkudlOgQd0BOnoCiiMEekVnc3GfPE%3D&openid.signed=assoc_handle%2Cax.count.email%2Cax.mode%2Cax.type.email%2Cax.value.email.1%2Cclaimed_id%2Cidentity%2Cmode%2Cns%2Cns.ax%2Cns.pape%2Cns.sreg%2Cop_endpoint%2Cpape.auth_level.nist%2Cpape.auth_level.ns.nist%2Cpape.auth_policies%2Cpape.auth_time%2Cresponse_nonce%2Creturn_to%2Csigned

some problems with FAS login, for me this it not correctly. For resolution I access again original URL: https://localized-zanatatest.itos.redhat.com/

Comment 3 Carlos Munoz 2014-07-17 23:28:26 UTC
This may be a environment related issue. At least the 'slowness' to send the email. For the second part in comment #2, we might need to look at the openid return url.

Comment 4 Marcelo Barbosa "firemanxbr" 2014-07-18 15:17:01 UTC
Carlos,

   Conducted some tests with another user of our team in order to try to locate the origin of the blank page error and we can locate, we conducted procedure below the step-by-step:

1) Access: https://localized-zanatatest.itos.redhat.com/
2) Click on "Sign up" https://localized-zanatatest.itos.redhat.com/account/register
3) click on "Fedora"
4) account username and password filled in FAS
5) selected "never" in the adoption of FAS account http://localized-zanatatest.itos.redhat.com:80/openid.seam

Review the authorization details
Trust Root http://localized-zanatatest.itos.redhat.com:80/openid.seam
Privacy Policy None provided
email willianmayan@gmail.com
Remember approval is

6) Create user in Zanata https://localized-zanatatest.itos.redhat.com/profile/create?cid=61965
Fill out name and email @fedoraproject .org

"You will soon receive an email with a link to activate your account."

In this step the delay in email delivery did not occur anymore.

7) by clicking the email received is redirected to a blank page, apparently it wasn't conducted with success, I believe that this is our BUG, follow the URL below:

https://localized-zanatatest.itos.redhat.com/openid.seam?openid.assoc_handle={HMAC-SHA256}{53c92e6a}{qeEhYQ%3D%3D}&openid.ax.count.email=1&openid.ax.mode=fetch_response&openid.ax.type.email=http%3A%2F%2Fschema.openid.net%2Fcontact%2Femail&openid.ax.value.email.1=willianmayan%40gmail.com&openid.claimed_id=http%3A%2F%2Fwillianmayan.id.fedoraproject.org%2F&openid.identity=http%3A%2F%2Fwillianmayan.id.fedoraproject.org%2F&openid.mode=id_res&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.ns.ax=http%3A%2F%2Fopenid.net%2Fsrv%2Fax%2F1.0&openid.ns.pape=http%3A%2F%2Fspecs.openid.net%2Fextensions%2Fpape%2F1.0&openid.ns.sreg=http%3A%2F%2Fopenid.net%2Fextensions%2Fsreg%2F1.1&openid.op_endpoint=https%3A%2F%2Fid.fedoraproject.org%2Fopenid%2F&openid.pape.auth_level.nist=2&openid.pape.auth_level.ns.nist=http%3A%2F%2Fcsrc.nist.gov%2Fpublications%2Fnistpubs%2F800-63%2FSP800-63V1_0_2.pdf&openid.pape.auth_policies=http%3A%2F%2Fschemas.openid.net%2Fpape%2Fpolicies%2F2007%2F06%2Fnone&openid.pape.auth_time=2014-07-18T14%3A33%3A34Z&openid.response_nonce=2014-07-18T14%3A33%3A44ZLXfrUj&openid.return_to=http%3A%2F%2Flocalized-zanatatest.itos.redhat.com%3A80%2Fopenid.seam&openid.sig=NHQqgtDn6citHTEI6e78xijga45LD4%2FE78ezWS0YVJ0%3D&openid.signed=assoc_handle%2Cax.count.email%2Cax.mode%2Cax.type.email%2Cax.value.email.1%2Cclaimed_id%2Cidentity%2Cmode%2Cns%2Cns.ax%2Cns.pape%2Cns.sreg%2Cop_endpoint%2Cpape.auth_level.nist%2Cpape.auth_level.ns.nist%2Cpape.auth_policies%2Cpape.auth_time%2Cresponse_nonce%2Creturn_to%2Csigned

In summary our problem with the delay in email delivery does not occur anymore, however this blank page may cause discomfort to our users, please let me know if I can perform other tests.

Thank you.

Comment 5 Isaac Rooskov 2014-08-06 01:52:04 UTC
The blank page issue has now been fixed in bug: 1120016.


Note You need to log in before you can comment on or make changes to this bug.